package main

import (
	"fmt"

	"github.com/spf13/viper"

	"git.metaunix.net/metaunix.net/muldap/cmd"
)

func main() {
	// load configuration
	viper.SetConfigName("config")
	viper.AddConfigPath("$HOME/.muldap")
	viper.AddConfigPath(".")
	err := viper.ReadInConfig()
	if err != nil {
		panic(fmt.Errorf("Fatal error config file: %s \n", err))
	}

	// run CLI app w/ Cobra
	cmd.Execute()
}
